All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
function.hh File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include <boost/algorithm/string/replace.hpp>`
`#include <boost/tuple/tuple.hpp>`
`#include <Eigen/Core>`
`#include <Eigen/Dense>`
`#include <Eigen/Sparse>`
`#include <log4cxx/logger.h>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/indent.hh>`
`#include <roboptim/core/portability.hh>`

## Classes

struct | roboptim::GenericFunctionTraits< T >
| GenericFunction traits. More...
class | roboptim::GenericFunction< T >
| Define an abstract mathematical function ( ). More...
struct | roboptim::GenericFunctionTraits< EigenMatrixDense >
| Trait specializing GenericFunction for Eigen dense matrices. More...
struct | roboptim::GenericFunctionTraits< EigenMatrixSparse >
| Trait specializing GenericFunction for Eigen sparse matrices. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Macros

#define | EIGEN_YES_I_KNOW_SPARSE_MODULE_IS_NOT_STABLE_YET
#define | EIGEN_RUNTIME_NO_MALLOC
#define | ROBOPTIM_FUNCTION_FWD_TYPEDEFS(PARENT)
#define | ROBOPTIM_FUNCTION_FWD_TYPEDEFS_(PARENT)

## Functions

template<typename T >
std::ostream & | roboptim::operator<< (std::ostream &o, const GenericFunction< T > &f)
| Override operator<< to handle function display. More...

## Macro Definition Documentation

#define EIGEN_RUNTIME_NO_MALLOC

#define EIGEN_YES_I_KNOW_SPARSE_MODULE_IS_NOT_STABLE_YET

#define ROBOPTIM_FUNCTION_FWD_TYPEDEFS | ( |  | PARENT | ) |

Value:
typedef PARENT parent_t; \
typedef parent_t::value_type value_type; \
typedef parent_t::size_type size_type; \
typedef parent_t::argument_t argument_t; \
typedef parent_t::result_t result_t; \
typedef parent_t::vector_t vector_t; \
typedef parent_t::matrix_t matrix_t; \
struct e_n_d__w_i_t_h__s_e_m_i_c_o_l_o_n
roboptim::visualization::gnuplot::argument_t
DifferentiableFunction::argument_t argument_t
Import discrete interval type from function.
Definition: gnuplot-differentiable-function.hh:42

#define ROBOPTIM_FUNCTION_FWD_TYPEDEFS_ | ( |  | PARENT | ) |

Value:
typedef PARENT parent_t; \
typedef typename parent_t::value_type value_type; \
typedef typename parent_t::size_type size_type; \
typedef typename parent_t::argument_t argument_t; \
typedef typename parent_t::result_t result_t; \
typedef typename parent_t::vector_t vector_t; \
typedef typename parent_t::matrix_t matrix_t; \
struct e_n_d__w_i_t_h__s_e_m_i_c_o_l_o_n
roboptim::visualization::gnuplot::argument_t
DifferentiableFunction::argument_t argument_t
Import discrete interval type from function.
Definition: gnuplot-differentiable-function.hh:42